using System;
using System.Diagnostics;
using System.Linq;
using System.Text;

namespace DaniloStojanovic
{
    class Program
    {
        struct index
        {
            public int l; 
            public int r;
        }

        static bool sortiran(int[] a)
        {
            for(int i = 1; i < a.Length; i++)
            {
                if (a[i - 1] > a[i])
                {
                    return false;
                }
            }
            return true;
        }
        static void sortiraj(int[] a)
        {
            List<int> list = new List<int>();
            for(int i = 0; i < a.Length; i++)
            {
                list = a.ToList();
                list.Remove(list[i]);
                if(sortiran(list.ToArray()))
                {
                    Console.WriteLine("DA");
                    return;
                }
            }
            Console.WriteLine("NE");
        }
        static void poklon(int[] niz, int n, index[] indeksi, int q)
        {
            int[] demo;
            for(int i = 0; i < q; i++)
            {
                demo = new int[indeksi[i].r - indeksi[i].l + 1];
                for(int j = indeksi[i].l - 1, k = 0; j < indeksi[i].r; j++, k++)
                {
                    demo[k] = niz[j];
                }
                sortiraj(demo);
            }
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] s = Console.ReadLine().Split(' ');
            int[] niz = new int[n];
            for(int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(s[i]);
            }
            int q = int.Parse(Console.ReadLine());
            index[] indeksi = new index[q];
            for(int i = 0; i < q; i++)
            {
                string[] s1 = Console.ReadLine().Split(' ');
                indeksi[i].l = int.Parse(s1[0]);
                indeksi[i].r = int.Parse(s1[1]);
            }
            poklon(niz, n, indeksi, q);
        }
    }
}